目的

AndroidアプリにおけるAPIレベルの要件や開始日のメモ

参照サイト

Play Console ヘルプ アプリを作成して設定する

APIレベル要件メモ

Android 8.0、8.1

API レベル 26、27
コードネーム : Oreo

  • 2018 年 8 月 1 日: 新規アプリで必要
  • 2018 年 11 月 1 日: アプリのアップデートに必要

Android 9

API レベル 28
コードネーム : Pie

  • 2019 年 8 月 1 日: 新規アプリで必要
  • 2019 年 11 月 1 日: アプリのアップデートに必要

Android 10

API レベル 29
コードネーム : Android 10

  • 2019 年 8 月 1 日: 新規アプリで必要
  • 2019 年 11 月 1 日: アプリのアップデートに必要

Android 11

API レベル 30
コードネーム : Android 11

  • 2021 年 8 月 2 日: 新規アプリで必要
  • 2021 年 11 月 1 日: アプリのアップデートに必要

APIレベル要件その他

対象 API レベルとはtargetSdkVersionでの設定値を示す。
minSdkVersionはアプリを最低限動作させることを示すバージョンのこと。